<?php
require_once('classes/magpie/rss_fetch.inc');
include('classes/ProwlPHP.php');

$prowl = new Prowl('REPLACEMEWITHYOURAPIKEY');
$rss = fetch_rss('http://path.to/your/feed.xml');
$items = array_slice($rss->items, 0);

foreach ($items as $item){
		$id = $item['guid'];
                //We're going to need a unique ASCII identifier for each item later, so we'll use md5 to get one
		$itemhash = md5($id);
		$link = $item['link'];
		$subject = $item['title'];
                //The quote entities (smart quotes) cause a problem in many mail clients
               //so strip them out as well as getting rid of the ? characters that can come in
		$subject = str_replace("?"," ",$subject);
		$subject = str_replace("&#8217;","'",$subject);
		$subject = str_replace("&#8220;","\"",$subject);
		$subject = str_replace("&#8221;","\"",$subject);
		$description = $item['content']['encoded'];
		$description = str_replace("&#8217;","'",$description);
		$description = str_replace("&#8220;","\"",$description);
		$description = str_replace("&#8221;","\"",$description);
		//Build the body with a link to the real page and the article itself
                $body = "$link \n $description \n";

        	//Check to see if we've already sent this item
		if(file_exists("cache/$itemhash")){
			print("Already sent item: $subject<br>");
		} else {

$prowl->push(array(
                'application'=>'RSS Reader',
                'event'=>$subject . '',
                'description'=>$body . '',
                'priority'=>0,
            ),true);

echo "Success - $subject was posted.<br>";
			touch("cache/$itemhash");
		}
}

?>